プラグイン: Mix::Plugin::Sound::IDecoder Class Reference

プラグイン

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Plugin::Sound::IDecoder Class Referenceabstract

サウンドデコーダーインターフェース More...

`#include <Decoder.h>`

## Public Member Functions

virtual bool | Initialize (Mix::Plugin::IReader *pSrc)=0
| 初期化します More...
virtual void | Destroy (void)=0
| 自身を破棄します More...
virtual LPCWAVEFORMATEX | GetFormat (void)=0
| 波形のフォーマットを取得します More...
virtual unsigned long long | GetPosition (void)=0
| 波形の読み取り位置を取得します More...
virtual unsigned long long | GetSize (void)=0
| 波形のサイズを取得します More...
virtual unsigned int | Read (Mix::Plugin::IReader *pSrc, void *pDst, unsigned int size)=0
| 波形を読み取ります More...
virtual void | Reset (Mix::Plugin::IReader *pSrc)=0
| 波形の読み取り位置をを先頭に戻します More...

## Protected Member Functions

virtual | ~IDecoder (void)
| デストラクタ More...

## Detailed Description

サウンドデコーダーインターフェース

## Constructor & Destructor Documentation

virtual Mix::Plugin::Sound::IDecoder::~IDecoder | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Plugin::Sound::IDecoder::Destroy | ( | void |  | ) |

pure virtual

自身を破棄します

Note
  デコーダクラスのインスタンスを new で作成した場合、メッソッドの実装は自身を解放する delete this になります。

virtual LPCWAVEFORMATEX Mix::Plugin::Sound::IDecoder::GetFormat | ( | void |  | ) |

pure virtual

波形のフォーマットを取得します

Returns
  波形のフォーマットを返します

virtual unsigned long long Mix::Plugin::Sound::IDecoder::GetPosition | ( | void |  | ) |

pure virtual

波形の読み取り位置を取得します

Returns
  波形の読み取り位置を返します

virtual unsigned long long Mix::Plugin::Sound::IDecoder::GetSize | ( | void |  | ) |

pure virtual

波形のサイズを取得します

Returns
  波形のサイズを返します

virtual bool Mix::Plugin::Sound::IDecoder::Initialize | ( | Mix::Plugin::IReader * | pSrc | ) |

pure virtual

初期化します

Parameters

  [in] | pSrc | 波形のソースを表す Mix::Plugin::IReader インターフェースのポインタ

Returns
  成功した場合は true を返します

Note
  このメソッドで波形のフォーマット( GetFormat )、サイズ( GetSize )を設定します。

virtual unsigned int Mix::Plugin::Sound::IDecoder::Read | ( | Mix::Plugin::IReader * | pSrc,
|  | void * | pDst,
|  | unsigned int | size
| ) |  |

pure virtual

波形を読み取ります

Parameters

  [in] | pSrc | 波形のソースを表す Mix::Plugin::IReader インターフェースのポインタ
  [out] | pDst | 読み取った波形を格納するバッファ
  [in] | size | 読み取る波形のサイズ( バイト単位 )

Returns
  実際に読み取った波形のサイズ( バイト単位 )を返します

virtual void Mix::Plugin::Sound::IDecoder::Reset | ( | Mix::Plugin::IReader * | pSrc | ) |

pure virtual

波形の読み取り位置をを先頭に戻します

Parameters

  [in] | pSrc | 波形のソースを表す Mix::Plugin::IReader インターフェースのポインタ

The documentation for this class was generated from the following file:

- Mix/Plugin/Sound/Decoder.h